from distutils.core import setup

import setuptools

try:
    long_description = open("README").read()
except:
    long_description = """Custom Logger with coloring etc. in Python"""

if __name__ == "__main__":
    setup(name="customLogger",
          version='1.0',
          description="customLogger-add text here...",
          long_description=long_description,
          long_description_content_type="text/markdown",
          author="Dominik Kuhn",
          author_email="d.kuhn@zema.de",
          maintainer="Dominik Kuhn",
          maintainer_email="d.kuhn@zema.de",
          install_requires=['paho-mqtt','bunyan'],
          url="https://git.zema.de/tfs/ZISS/_git/PythonCustomLogger",
          packages=["customLogger"],
          classifiers=[
              #   "Development Status :: 4 - Production/Stable",
              #   "License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)",
              "Operating System :: OS Independent",
              "Programming Language :: Python",
              "Topic :: Scientific/Engineering",
              "Topic :: Software Development :: Libraries :: Python Modules",
          ],
          )
